package com.jay.monitor.data.client.api;

import javax.servlet.http.HttpServletRequest;

/**
 * 监控回调适配
 *
 * @author liukaixiong
 * @date 2022/7/14 - 15:12
 */
public class MonitorIndexCallbackAdaptor implements MonitorIndexCallback {

    private final DefaultIndexData defaultIndexData = new DefaultIndexData();

    @Override
    public DefaultIndexData sqlCallback() {
        return defaultIndexData;
    }

    @Override
    public DefaultIndexData urlCallback(HttpServletRequest request) {
        return defaultIndexData;
    }

    @Override
    public String getUrlUserId(HttpServletRequest request) {
        return null;
    }
}
